plugins {
    id 'com.android.application'
    id 'com.google.gms.google-services'
}

def appOutPutName = "1xsgdsdgsdlgfsdgdflgdfh"

android {
    namespace rootProject.ext.namespace
    compileSdk 36
    defaultConfig {
        minSdkVersion 24
        targetSdk 36
        versionCode rootProject.ext.versionCode
        versionName rootProject.ext.versionName
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"

        //包名
        applicationId "com.xyz.xsgd1"
        //app大背景色
        resValue('color', 'windows_color', '#400e15')
        //底部导航栏颜色 大背景颜色为 windows_color——style_color的上下渐变色
        resValue('color', 'style_color', '#121212')
        //app 名字
        resValue('string', 'app_name', '1XSGD')
        //预埋订阅网址
        buildConfigField "String", "BASE_URL", "\"https://1xsgd.org/\""
        //后台唯一ID
        buildConfigField "int", "USERID", "255"
        //状态栏文字颜色是否为白色
        buildConfigField "boolean", "IS_WHITE", "true"
        //是否强转启动图为圆形
        buildConfigField "boolean", "IS_ROUND", "false"
        //IS_ROUND 为 true时 圆角启动logo的 圆角大小 为0 表示为圆形 否则为ROUND_RADIUS的 dp2px的 数字大小
        buildConfigField "int", "ROUND_RADIUS", "0"
        //已废弃
        buildConfigField "boolean", "HAS_CONTACT", "false"
        //已废弃
        buildConfigField "boolean", "HAS_HOOK", "false"

    }
    buildFeatures {
        buildConfig = true
    }

    signingConfigs {
        debug {
            storeFile file('justlet.jks')
            storePassword "123456"
            keyAlias 'key0'
            keyPassword "123456"
        }
        release {
            storeFile file('justlet.jks')
            storePassword "123456"
            keyAlias 'key0'
            keyPassword "123456"
        }
    }

    buildTypes {
        release {
            signingConfig signingConfigs.release
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility rootProject.ext.JAVA_VERSION
        targetCompatibility rootProject.ext.JAVA_VERSION
    }

    applicationVariants.all { variant ->
        variant.outputs.all {
            def outputDir = new File(rootProject.ext.outputPath)
            outputDir.mkdirs()
            def outputFileName = "${appOutPutName}.apk"
            setOutputFileName(outputFileName)
            def newOutputFile = new File(outputDir, outputFileName)
            newOutputFile.parentFile.mkdirs()
            variant.assemble.doLast {
                try {
                    java.nio.file.Files.copy(
                            outputFile.toPath(),
                            newOutputFile.toPath(),
                            java.nio.file.StandardCopyOption.REPLACE_EXISTING
                    )
                } catch (java.io.IOException e) {
                }
            }
        }
    }

}

dependencies {
    implementation project(path: ':base')
}